Last Comment Bug 406898 - If Firefox 3 were launched today...
: If Firefox 3 were launched today...
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Developer Pages (show other bugs)
: 3.0
: All All
: -- enhancement
: ---
Assigned To: Justin Scott [:fligtar]
:
Mentors:
Depends on:
Blocks: amo-firefox3
  Show dependency treegraph
 
Reported: 2007-12-04 17:43 PST by Justin Scott [:fligtar]
Modified: 2016-02-04 14:49 PST (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (3.62 KB, patch)
2008-01-28 16:58 PST, Justin Scott [:fligtar]
morgamic: review+
Details | Diff | Splinter Review

Description Justin Scott [:fligtar] 2007-12-04 17:43:59 PST
If Firefox 3 was launched today, 89,560 users would be without Microfarmer. _Find out how to update_!

With our active user data, we can now tell how many users of an add-on are using Firefox 3, as well as how many have had their extension disabled for compatibility reasons.

We can present this data to the developer in the Developer Control Panel (or possibly elsewhere if we're really into scaring them! - "We see you're trying to download an add-on... wouldn't it be nice if your users could use your add-on in Firefox 3? HMMM?" (that was a joke; we won't do that)).

Polvi and I came up with the copy above, but maybe we'll talk with the marketing folks to see if it's too scary or aggressive. There are similar variations, like "390 people have already had their Microfarmer disabled because it's not compatible with Firefox 3"

This bug isn't for committing us to doing this, just for discussing the idea.
Comment 1 Basil Hashem [:baz] 2007-12-05 08:28:41 PST
We can work on the exact messaging but I like the general idea. I think if we show a histogram of Firefox versions

Firefox Version - Total Pings (# disabled)
1.5     - 289 (53)
2.0.0.* - 45,234 (6,754)
3.0.*   - 5,203 (20,001)

That would be pretty useful.
Comment 2 Alex Polvi 2007-12-06 13:42:38 PST
An additional idea: On the developer dashboard, put "you rank #X on the Fx3 upgrade leader board".

We could generate that list based on:
* number of addons
* number of addons upgraded to fx3
* number of people using fx3 addons
* age of the addon
* etc...
Comment 3 Basil Hashem [:baz] 2007-12-06 22:38:43 PST
Alex, I didn't get how you are able to rank the author leaderboard since the most popular extensions (or the author with the most number) would always lead. I guess you are suggesting some sort of weighted formula?
Comment 4 Alex Polvi 2007-12-10 15:20:00 PST
(In reply to comment #3)
> Alex, I didn't get how you are able to rank the author leaderboard since the
> most popular extensions (or the author with the most number) would always lead.
> I guess you are suggesting some sort of weighted formula?

Yeah. The leader, IMHO, should be the person with the most active users running Fx3 compatible extensions. That way it would encourage the addons developers to update, and would also encourage them to encourage their users to run Fx3!

Fligtar, what do you think? 

Comment 5 Alex Polvi 2008-01-10 16:24:11 PST
I wonder if this could be even simplier... like if we detect a non beta maxVersion... we say something like, "We detected your extension is not compatible with Firefox 3 (potentially affecting XXX users)." linking to devmo.

Thoughts?
Comment 6 Justin Scott [:fligtar] 2008-01-27 18:11:55 PST
(In reply to comment #5)
> I wonder if this could be even simplier... like if we detect a non beta
> maxVersion... we say something like, "We detected your extension is not
> compatible with Firefox 3 (potentially affecting XXX users)." linking to devmo.
> 
> Thoughts?
> 

I like it. One complication is that we haven't yet exposed any active user data to developers. So while this would be a neat first preview for them at how many active users they have, this would only show up for add-ons not compatible with Firefox 3. So we would need to put it where everyone can access it, or not include active users. Whereas if we say something like "there are already 45 people trying to use it in Firefox 3", we would only have to show that to those that haven't updated.

Regardless, it seems like this is now an appropriate time to launch something like this, so let's figure out what we want to do this week and get it pushed.
Comment 7 Alex Polvi 2008-01-28 14:59:42 PST
The plan is to add a message upon addon upload that suggests Firefox 3 compatibility if it is not there already. Fligtar is on the case.
Comment 8 Justin Scott [:fligtar] 2008-01-28 16:58:42 PST
Created attachment 299886 [details] [diff] [review]
patch, v1

I want to look over this some more, but this adds the notice in step 3 when the developer submits a non-beta compatible Firefox version. The URL and Firefox version are set via the Site Config area of the admin cp.

I also discovered what seems to be a PHP5 bug with the dev cp, so I need to look into that as well.
Comment 9 Justin Scott [:fligtar] 2008-01-28 17:00:45 PST
Oh, and the SQL patch:

INSERT INTO `remora`.`config` (`key` , `value`) VALUES ('firefox_notice_version', ''), ('firefox_notice_url', '');
Comment 10 Justin Scott [:fligtar] 2008-01-29 21:07:49 PST
Comment on attachment 299886 [details] [diff] [review]
patch, v1

This is good for now. I'll file a follow up bug for the PHP5 thing.
Comment 11 Justin Scott [:fligtar] 2008-01-30 09:41:49 PST
Checked in and the gettext issues are resolved now I think.

We need to run the SQL in comment 9 when we push this.
Comment 12 Justin Scott [:fligtar] 2008-02-14 16:34:47 PST
This is live.

Note You need to log in before you can comment on or make changes to this bug.